Available in VPC
Delete a subnet by specifying the subnet number.Request
The following describes the request format for the endpoint. The request format is as follows:
| Method | URI |
|---|---|
| GET | POST | /vpc/v2/deleteSubnet |
Note
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For headers common to all VPC APIs, see VPC common headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code of the subnet to delete
|
subnetNo |
String | Required | Number of subnet to delete
|
responseFormatType |
String | Optional | Response result format
|
Request example
The following is a sample request.
curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/deleteSubnet
?regionCode=KR
&subnetNo=***43' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
The following describes the response format.
Response body
See SubnetList for the response body.
Response status codes
For information about the HTTP status codes common to all VPC APIs, see VPC response status codes.
Response example
The following is a sample response.
<deleteSubnetResponse>
<requestId>a0746ba0-488a-45d1-94e9-a62dea9db1a8</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
<totalRows>1</totalRows>
<subnetList>
<subnet>
<subnetNo>***43</subnetNo>
<vpcNo>***04</vpcNo>
<zoneCode>KR-1</zoneCode>
<subnetName>test-***</subnetName>
<subnet>***.***.1.0/24</subnet>
<subnetStatus>
<code>TERMTING</code>
<codeName>terminating</codeName>
</subnetStatus>
<createDate>2020-07-31T14:38:00+0900</createDate>
<subnetType>
<code>PUBLIC</code>
<codeName>Public</codeName>
</subnetType>
<usageType>
<code>GEN</code>
<codeName>General</codeName>
</usageType>
<networkAclNo>***31</networkAclNo>
</subnet>
</subnetList>
</deleteSubnetResponse>